tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stagger Lee <stagger...@seznam.cz>
Subject How to start Tomcat with JDK 1.4 compatibility pack on JDK 5.0?
Date Wed, 21 Sep 2005 14:57:13 GMT
Hello everyone,

We have a shared installation of Tomcat, r/o catalina home dir + each "user" has its own catalina
base dir. Tomcat was installed with the JDK 1.4 compatibility pack, so that it can run on
JDK 1.4.  The compatibility pack, however, causes problems when running on JDK 5.0 and using
XML APIs.

Is there a way how to start Tomcat correctly on JDK 5.0 w/o removing the compatibility jars?
(i.e. the same catalina home dir can be used for running Tomcat on both JDK 1.4 and 5.0 at
the same time)

Would the following work-around work?
1. remove "${catalina.home}/common/endorsed/*.jar" from the common classloader from the catalina.properties

2. tweak the setclasspath.sh script, so that  JAVA_ENDORSED_DIRS="$BASEDIR"/common/endorsed
is set only when running on JDK 1.4 


Thanks,

Stag

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message